package com.hamburg.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：liuxinyue
 * @Package：com.hamburg.common.domain
 * @Project：88rk
 * @name：Stu
 * @Date：2024/8/8 8:50
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Stu {

    /**
     * 学号
     */
    private Integer stuId;
    /**
     * 姓名
     */
    private String stuName;
    /**
     * 科目
     */
    private String stuSubject;
    /**
     * 成绩
     */
    private Integer stuScore;


}
