package com.hamburg.stu.service.impl;

import com.hamburg.common.domain.Stu;
import com.hamburg.common.domain.response.StuResp;
import com.hamburg.stu.mapper.StuMapper;
import com.hamburg.stu.service.StuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.hamburg.stu.service.impl
 * @Project：88rk
 * @name：StuServiceImpl
 * @Date：2024/8/8 8:53
 */
@Service
public class StuServiceImpl implements StuService{

    @Autowired
    private StuMapper stuMapper;


    @Override
    public List<Stu> stuList() {


        HashMap<Integer, String> map = new HashMap<>();


        List<Stu> list= stuMapper.stuList();


        for (Stu stu : list) {

            String str=stu.getStuName()+stu.getStuSubject()+stu.getStuScore();
            map.put(stu.getStuId(), str);

        }

        map.forEach((k,v)->{
            System.out.println(k);
            System.out.println(v);
        });
        return list;
    }

    @Override
    public List<StuResp> avgScore() {

        List<StuResp> list= stuMapper.avgScore();

        list.stream().forEach(
                stu -> {
                    System.out.println(stu);
                }
        );

        return list;
    }
}
